JobInfoImpl
Keywords: com.sun.grid.drmaa.JobInfoImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.grid.drmaa
Class JobInfoImpl

    java.lang.Object
      org.ggf.drmaa.JobInfo
          com.sun.grid.drmaa.JobInfoImpl

All Implemented Interfaces:
  java.io.Serializable

public class JobInfoImpl
extends JobInfo

This class provides information about a completed Grid Engine job.

Since:
  0.5
Author:
  dan.templeton@sun.com
See Also:
  `JobInfo`, Serialized Form

Field Summary

Fields inherited from class org.ggf.drmaa.JobInfo
`jobId, resourceUsage, status`

Method Summary
`int` | `getExitStatus()` If hasExited() returns true, this function returns the exit code that the job passed to _exit() (see exit(2)) or exit(3C), or the value that the child process returned from main.
`java.lang.String` | `getTerminatingSignal()` If hasSignaled() returns true, this method returns a representation of the signal that caused the termination of the job.
`boolean` | `hasCoreDump()` If hasSignaled() returns true, this function returns true if a core image of the terminated job was created.
`boolean` | `hasExited()` Returns `true` if the job terminated normally.
`boolean` | `hasSignaled()` Returns `true` if the job terminated due to the receipt of a signal.
`boolean` | `wasAborted()` Returns true if the job ended before entering the running state.

Methods inherited from class org.ggf.drmaa.JobInfo
`getJobId, getResourceUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExitStatus

    public int getExitStatus()

  If hasExited() returns true, this function returns the exit code that the job passed to _exit() (see exit(2)) or exit(3C), or the value that the child process returned from main.

  Specified by:
    `getExitStatus` in class `JobInfo`
  Returns:
    the exit code for the job

### getTerminatingSignal

    public java.lang.String getTerminatingSignal()

  If hasSignaled() returns true, this method returns a representation of the signal that caused the termination of the job. For signals declared by POSIX or otherwise known to Grid Engine, the symbolic names are returned (e.g., SIGABRT, SIGALRM).
  For signals not known by Grid Engine, the string "unknown signal" is returned.

  Specified by:
    `getTerminatingSignal` in class `JobInfo`
  Returns:
    the name of the terminating signal

### hasCoreDump

    public boolean hasCoreDump()

  If hasSignaled() returns true, this function returns true if a core image of the terminated job was created.

  Specified by:
    `hasCoreDump` in class `JobInfo`
  Returns:
    whether a core dump image was created

### hasExited

    public boolean hasExited()

  Returns `true` if the job terminated normally. `False` can also indicate that although the job has terminated normally an exit status is not available or that it is not known whether the job terminated normally. In both cases getExitStatus() will not provide exit status information. `True` indicates more detailed diagnosis can be provided by means of getExitStatus().

  Specified by:
    `hasExited` in class `JobInfo`
  Returns:
    if the job has exited

### hasSignaled

    public boolean hasSignaled()

  Returns `true` if the job terminated due to the receipt of a signal. `False` can also indicate that although the job has terminated due to the receipt of a signal the signal is not available or that it is not known whether the job terminated due to the receipt of a signal. In both cases getTerminatingSignal() will not provide signal information.

  Specified by:
    `hasSignaled` in class `JobInfo`
  Returns:
    if the job exited on a signal

### wasAborted

    public boolean wasAborted()

  Returns true if the job ended before entering the running state.

  Specified by:
    `wasAborted` in class `JobInfo`
  Returns:
    whether the job ended before entering the running state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD